Summary:	Download and Install Telegram Desktop
Name:		get-telegram
Version:	1.7.7
%define subrel 1
Release:	%mkrel 4
License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://desktop.telegram.org
BuildArch:	noarch

Requires:	wget
Requires:	xz
Requires:	zenity

Source0:	get-telegram
Source1:	telegramdesktop.desktop
Source2:	icon.png

%description
This is a downloader script for Telegram Desktop.

This package does not contain any program files. By installing this
package you'll get the option to download and install Telegram from
desktop.telegram.org.
Removing this package won't uninstall Telegram from your system. You
can do this manually by removing "~/.TelegramDesktop" directory
and its desktop launcher in '~/.local/share/applications'.

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}%{_bindir}/get-telegram
install -d -m 0755 %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

install -d -m 0755 %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/telegram.png
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/telegram.png

%files
%{_bindir}/get-telegram
%{_datadir}/applications/telegramdesktop.desktop
%{_iconsdir}/telegram.png
%{_iconsdir}/hicolor/*/apps/telegram.png


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.7.7-4.1.mga10
+ Revision: 2236026
- Mageia 10 Mass Rebuild

* Tue Feb 18 2025 papoteur <papoteur> 1.7.7-3.1.mga10
+ Revision: 2149488
- complete message for uninstalling (mga#32593)"
+ wally <wally>
- update get-telegram script

* Mon Mar 21 2022 umeabot <umeabot> 1.7.7-3.mga9
+ Revision: 1811667
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.7.7-2.mga8
+ Revision: 1526654
- Mageia 8 Mass Rebuild

* Fri Jun 14 2019 sander85 <sander85> 1.7.7-1.mga7
+ Revision: 1399939
- Switch to $$HOME as ~/ seems to have some weird issues (mga#24955)

* Sat Nov 24 2018 sander85 <sander85> 1.4.3-1.mga7
+ Revision: 1333919
- New version with updated download URL

* Tue Sep 18 2018 umeabot <umeabot> 0.9.2-3.mga7
+ Revision: 1261427
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 970440
- Mageia 6 Mass Rebuild

* Tue Oct 06 2015 sander85 <sander85> 0.9.2-1.mga6
+ Revision: 886640
- Update description
- imported package get-telegram

